#' PreDiabetes dataset
#' @docType data
#' @keywords prediabetes machine learning regression
#' @format A data frame with 3059 rows and 9 variables:
#' \describe{
#'   \item{Age}{age of the patient presenting with diabetes}
#'   \item{Sex}{sex of the patient with diabetes}
#'   \item{IMD_Decile}{Index of Multiple Deprivation Decile}
#'   \item{BMI}{Body Mass Index of patient}
#'   \item{Age_PreDiabetes}{age at pre diabetes diagnosis}
#'   \item{HbA1C}{average blood glucose mmol/mol}
#'   \item{Time_Pre_To_Diabetes}{time in years between pre-diabetes and diabetes diagnosis}
#'   \item{Age_Diabetes}{age at diabetes diagnosis}
#'   \item{PreDiabetes_Checks_Before_Diabetes}{number of pre-diabetes related primary care appointments before diabetes diagnosis}
#'
#' }
#' @source Generated by Asif Laldin \email{a.laldin@nhs.net}, Jan-2022
#' @examples
#' library(dplyr)
#' data(PreDiabetes)
#' # Convert diabetes data to factor'
#' diabetes_data <- PreDiabetes %>%
#'  glimpse()
"PreDiabetes"
